%define name    ecore
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment event/X abstraction layer
Name: 		%{name}
Version: 	%{version}
Epoch:		3
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Ecore
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires:	pkgconfig(evas) >= %{version}-0.%svn
BuildRequires:	pkgconfig(eet) >= %{version}-0.%svn
BuildRequires:	pkgconfig(eina) >= %{version}-0.%svn
%else
BuildRequires:  pkgconfig(evas) >= %{version}
BuildRequires:  pkgconfig(eet) >= %{version}
BuildRequires:  pkgconfig(eina) >= %{version}
%endif
BuildRequires:	openssl-devel curl-devel
BuildRequires: libx11-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxcursor-devel
BuildRequires: libxdamage-devel
BuildRequires: libxext-devel
BuildRequires: libxfixes-devel
BuildRequires: libxi-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr-devel
BuildRequires: libxrender-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxtst-devel
BuildRequires:	tslib-devel
BuildRequires:	SDL-devel
BuildRequires: gettext-devel

%description
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --enable-ecore-fb \
	--enable-ecore-sdl \
	--enable-openssl \
	--enable-curl \
	--disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING README

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/%{name}/immodules/xim.so
%{_includedir}/*


%changelog
* Sat Feb 15 2014 trem <trem> 3:1.7.10-1.mga4
+ Revision: 591883
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 3:1.7.9-2.mga4
+ Revision: 552459
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release

* Sat Nov 09 2013 trem <trem> 3:1.7.9-1.mga4
+ Revision: 550124
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 3:1.7.8-2.mga4
+ Revision: 463322
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 3:1.7.8-1.mga4
+ Revision: 463229
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 3:1.7.7-1.mga4
+ Revision: 444925
- new version 1.7.7

* Tue May 07 2013 trem <trem> 3:1.7.5-2.mga3
+ Revision: 412561
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 3:1.7.5-1.mga3
+ Revision: 339269
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 3:1.7.4-1.mga3
+ Revision: 333854
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 3:1.7.3-1.mga3
+ Revision: 327929
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 3:1.7.2-1.mga3
+ Revision: 321316
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 3:1.7.1-1.mga3
+ Revision: 320191
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 3:1.7.0-1.mga3
+ Revision: 290118
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 3:1.2.1-1.mga3
+ Revision: 258947
- update to 1.2.1

* Tue Jun 05 2012 trem <trem> 3:1.2.0-1.mga3
+ Revision: 255959
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 3:1.1.0-0.r69188.2.mga2
+ Revision: 222660
- update to release 69188

* Sat Mar 10 2012 trem <trem> 3:1.1.0-0.r69165.2.mga2
+ Revision: 222393
- update to release 69165

* Sun Mar 04 2012 trem <trem> 3:1.1.0-0.r68658.2.mga2
+ Revision: 217971
- update to release 68658

* Sat Mar 03 2012 trem <trem> 3:1.1.0-0.r68649.2.mga2
+ Revision: 217521
- update to release 68649

* Sun Feb 26 2012 trem <trem> 3:1.1.0-0.r68450.2.mga2
+ Revision: 215182
- update to release 68450

* Sat Feb 25 2012 trem <trem> 3:1.1.0-0.r68434.2.mga2
+ Revision: 214400
- update to release 68434

* Fri Feb 24 2012 trem <trem> 3:1.1.0-0.r68363.2.mga2
+ Revision: 213941
- update to release 68363

* Wed Feb 22 2012 trem <trem> 3:1.1.0-0.r68228.2.mga2
+ Revision: 212052
- update to release 68228

* Sun Feb 19 2012 trem <trem> 3:1.1.0-0.r68120.2.mga2
+ Revision: 210768
- update to release 68120

* Sat Feb 18 2012 trem <trem> 3:1.1.0-0.r68102.2.mga2
+ Revision: 210216
- update to release 68102

* Sat Feb 11 2012 trem <trem> 3:1.1.0-0.r67851.2.mga2
+ Revision: 207519
- update to release 67851

* Sat Feb 11 2012 trem <trem> 3:1.1.0-0.r67846.2.mga2
+ Revision: 207232
- update to release 67846

* Fri Feb 10 2012 trem <trem> 3:1.1.0-0.r67830.2.mga2
+ Revision: 206941
- update to release 67830

* Tue Feb 07 2012 trem <trem> 3:1.1.0-0.r67715.2.mga2
+ Revision: 206088
- add eina-devel as buildrequires

* Tue Feb 07 2012 trem <trem> 3:1.1.0-0.r67715.1.mga2
+ Revision: 205976
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Tue Dec 27 2011 trem <trem> 3:1.1.0-0.r66418.1.mga2
+ Revision: 188251
- update to release 66418

* Sun Dec 04 2011 trem <trem> 3:1.1.0-0.r65867.1.mga2
+ Revision: 176075
- update to release 65867

* Tue Nov 29 2011 trem <trem> 3:1.1.0-0.r65688.1.mga2
+ Revision: 174222
- update to release 65688

* Sun Nov 27 2011 trem <trem> 3:1.1.0-0.r65613.1.mga2
+ Revision: 172945
- update to release 65613
- update to release 65595

* Sun Nov 20 2011 trem <trem> 3:1.1.0-0.r65428.1.mga2
+ Revision: 169708
- update to release 65428

* Fri Nov 18 2011 trem <trem> 3:1.1.0-0.r65369.1.mga2
+ Revision: 168700
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 3:1.0.999-0.r65341.1.mga2
+ Revision: 168426
- update to release 65341

* Wed Nov 16 2011 trem <trem> 3:1.0.999-0.r65269.1.mga2
+ Revision: 168182
- update to release 65269

* Sun Nov 13 2011 trem <trem> 3:1.0.999-0.r65129.1.mga2
+ Revision: 167144
- update to release 65129

* Fri Nov 11 2011 trem <trem> 3:1.0.999-0.r65056.1.mga2
+ Revision: 166553
- update to release 65056

* Sat Nov 05 2011 trem <trem> 3:1.0.999-0.r64753.1.mga2
+ Revision: 163309
- update to release 64753

* Tue Nov 01 2011 trem <trem> 3:1.0.999-0.r64603.1.mga2
+ Revision: 160795
- update to release 64603

* Mon Oct 31 2011 trem <trem> 3:1.0.999-0.r64579.1.mga2
+ Revision: 160581
- update to release 64579

* Sun Oct 30 2011 trem <trem> 3:1.0.999-0.r64519.1.mga2
+ Revision: 160058
- update to release 64519

* Sat Oct 29 2011 trem <trem> 3:1.0.999-0.r64511.1.mga2
+ Revision: 159793
- update to r64511

* Fri Oct 28 2011 trem <trem> 3:1.0.999-0.r64501.1.mga2
+ Revision: 159277
- update to r64501

* Wed Oct 26 2011 trem <trem> 3:1.0.999-0.r64414.1.mga2
+ Revision: 158368
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 3:1.0.999-0.r64328.1.mga2
+ Revision: 157739
- update to svn release (instead of stable release)
- some spec cleaning

* Thu Sep 22 2011 fwang <fwang> 3:1.0.1-3.mga2
+ Revision: 146612
- drop .la files
- rebuild for new gnutls

* Tue Jun 28 2011 trem <trem> 3:1.0.1-1.mga2
+ Revision: 115434
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 3:1.0.0-1.mga1
+ Revision: 87935
- clean spec file
- imported package ecore

